from .template import Template


class Permissions():
    description = (
        "Разрешения - (проверки/экзамены). "
        "По смыслу это что-то вроде “документа на право что-то делать” - на "
        "данном этапе это ограничено метасервисом/платформой, "
        "при этом он может быть полностью цифровым (выданным "
        "платформой/сервисом)."
    )

    # ID METASERVICE
    id_metaservice = Template.id_metaservice

    # DATA
    permission_type = (
        "уникальный идентификатор определяющий наличие разрешения из множества "
        "в словаре - выданных пользователю/клиенту/аккаунту"
    )
    check_level = (
        "(check-level из классификатора платформы) - информация об уровне "
        "проверки. Проверка может быть проведена как платформой, так и "
        "мета-сервисом, так и партнером мета-сервиса, а может быть и никем "
        "(просто загружен). Указывается, так как достоверность проверки "
        "разная. Экзамен, проверенный только на низком уровне, не принимается "
        "во внимание как имеющийся до прохождения более "
        "высокоуровневой проверки."
    )
    status = "статус обработки заявки в системе заявок"

    check_date = "timestamp проверки"
    expire_date = "Срок окончания действия разрешения"

    # OTHER
    is_global = Template.is_global
    is_visible = Template.is_visible

    # FK
    ticket_status = (
        "id заявки, по которой происходит проверка статуса relationship. "
        "State меняется только в результате изменений в заявке."
    )
    user = (
        "уникальный идентификатор пользователя/клиента/аккаунта, которым была "
        "пройдена проверка и получено разрешение"
    )
    checked_by = (
        "userid проверившего"
    )
