from .template import Template


class Relationship():
    description = (
        "Relationship - описание связей "
        "(желательных - как имеющиеся договорные отношения, "
        "и нежелательных - как пожелание любой из сторон)"
    )

    # ID METASERVICE
    id_metaservice = Template.id_metaservice

    # DATA
    neg_type = "тип договорных отношений по его уникальному идентификатору"
    requirements = (
        "код необходимого (самый строгий) для того, чтобы ресурс мог стать "
        "активным. Оно вставляется автоматом, в соответствии с профилем "
        "метасервиса. Далее, если кому-то из партнеров или пользователей "
        "надо строже - применяется более строгий вариант на данную связь."
    )
    status = "(статус обработки заявки в системе заявок)"
    

    # OTHER
    is_global = Template.is_global
    is_visible = Template.is_visible

    # FK
    user_who = "уникальный идентификатор инициатора договорных отношений"
    user_whom = "уникальный идентификатор того с кем связываются"
    ticket_status = (
        "id заявки, по которой происходит проверка статуса relationship. "
        "State меняется только в результате изменений в заявке."
    )
