from .template import Template


class Service():
    description = (
    "service - спецификация услуги каждого конкретного поставщика "
    "(например, в рамках сервиса многие могут предоставлять услуги перевозки, "
    "но конкретный шаблон с конкретным тарифом относится к отдельному перевозчику)"
    )

    # ID METASERVICE
    id_metaservice = Template.id_metaservice

    # DATA
    price_type = (
        "шаблон алгоритма расчета цены для оказываемой услуги (по этой "
        "переменной определяется, какую функцию для расчета цены вызывать)"
    )
    price_km = (
        "значение параметра стоимости 1км данного поставщика для "
        "данного шаблона услуги"
    )
    price_min = (
        "значение параметра стоимости 1мин данного поставщика для "
        "данного шаблона услуги"
    )
    price_amount = (
        "значение параметра стоимости 1 услуги данного поставщика для "
        "данного шаблона услуги"
    )
    company_comission = "Коммисия сервиса"
    requirements = (
        "код необходимого (самый строгий) для того, чтобы ресурс мог стать "
        "активным. Оно вставляется автоматом, в соответствии с профилем "
        "метасервиса. Далее, если кому-то из партнеров или пользователей "
        "надо строже - применяется более строгий вариант на данную связь."
    )
    status = (
        "статус обработки заявки в системе заявок. активность на "
        "основе системы заяво"
    )

    # OTHER
    is_global = Template.is_global
    is_visible = Template.is_visible

    # FK
    ticket_status = (
        "id последнего актуального тикета, касающийся статуса. Если "
        "он меняет статус на закрытый - вызывается проверка, которая смотрит, "
        "нет ли другого открытого по пользователю."
    )
    resource = (
        "ответственный за ресурс(не всегда). так как ресурсы сами "
        "услугу оказать не могут, а также один ресурс может быть представлен "
        "в виде разных услуг, то фактически с точки зрения смысла системы "
        "ресурс - это как неодушевленный пользователь. Без провайдера, "
        "который с его помощью оказывает услугу - никуда. Поле остается "
        "пустым, если сервис не предусматривает использование услуг. Стоит "
        "обратить внимание, что это не обязательно ответственный за ресурс. "
        "Например, за состояние автомобиля может быть ответственен "
        "пользователь (он и указывается в таблице со свойствами ресурса), "
        "а услугу доступа или перевозки может оказывать иное лицо."
    )
    service_category = "тип оказываемой услуги по классификатору услуг сервиса"
