from django.contrib.auth import get_user_model
from django.db import models

from dbsynce.models.service_category import ServiceCategory

from dbsynce.docs.database.rating_neg import RatingNeg as HelpTexts
from core.settings_vars import METASERVICE_ID


class RatingNeg(models.Model):
    """
    RatingNeg - это... FIXME: написать описание таблицы
    """

    # ID METASERVICE
    id_metaservice = models.PositiveIntegerField(
        default=METASERVICE_ID,
        help_text=HelpTexts.id_metaservice
    )

    # DATA
    count = models.IntegerField(
        help_text=HelpTexts.count  # Написать описание поля
    )

    # OTHER
    is_global = models.CharField(
        max_length=1,
        default=False,
        help_text=HelpTexts.is_global
    )
    is_visible = models.CharField(
        max_length=1,
        default="f",
        help_text=HelpTexts.is_visible
    )

    # FK
    user_who = models.ForeignKey(
        get_user_model(),
        related_name="rating_neg_user_who",
        on_delete=models.DO_NOTHING,
        help_text=HelpTexts.user_who
    )
    user_whom = models.ForeignKey(
        get_user_model(),
        related_name="rating_neg_user_whom",
        on_delete=models.DO_NOTHING,
        help_text=HelpTexts.user_whom
    )
    service_category = models.ForeignKey(
        ServiceCategory,
        on_delete=models.DO_NOTHING,
        help_text=HelpTexts.service_category
    )

    class Meta:
        db_table = "rating_neg"
        verbose_name = "Отрицательная реакция"
        verbose_name_plural = "Отрицательные реакции"
